//
// FILE:     BallWithImage
// AUTHOR:   Eugene Wallingford 
// DATE:     2012/10/31
// COMMENT:  a BoundedBall that paints an image, not a disk
//
// MODIFIED: 
// CHANGE  : 
//

import java.awt.Frame;
import java.awt.Graphics;
import java.awt.Image;

public class BallWithImage extends BoundedBall
{
  private Image myPicture;

  public BallWithImage( int x, int y, int r, double dx, double dy,
                        Frame f, Image im )
  {
    super( x, y, r, dx, dy, f );
    myPicture = im;
  }

  public void paint( Graphics g )
  {
    g.drawImage( myPicture, x(), y(), frame() );
  }
}
