//
// FILE:     CatchEugeneFrame.java
// AUTHOR:   Eugene Wallingford
// DATE:     2012/11/06
// COMMENT:  This class extends the CatchFrame class from Homework 7 to use
//           a new kind of ball.
//
// MODIFIED: 
// CHANGE  : 
//

import java.awt.Image;

public class CatchEugeneFrame extends CatchFrame
{
  private Image ballImage;
  
  public CatchEugeneFrame( Image im )
  {
    super();
    setTitle( "Make Him Pay!" );
    
    ballImage = im;
  }
  
  // a custom factory method
  protected Ball makeBall( int x, int y, int r, double dx, double dy)
  {
    return new BallWithImage( x, y, r, dx, dy, this, ballImage );
  }
}